Skip to main content
GET
/
api
/
v1
/
datasets
/
{dataset_id}
/
annotation-sets
List Annotation Sets
curl --request GET \
  --url https://api.example.com/api/v1/datasets/{dataset_id}/annotation-sets \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "version": 123,
      "status": "<string>",
      "total_annotations": 123,
      "total_positive_duration_ms": 123,
      "annotations_by_type": {},
      "created_at": "2023-11-07T05:31:56Z",
      "published_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

X-API-Key
string
header
required

Path Parameters

dataset_id
string<uuid>
required

Response

Successful Response

List of annotation sets.

items
AnnotationSetResponse · object[]
required
total
integer
required